Package Gnumed :: Package wxpython :: Module gmEMRBrowser :: Class cScrolledEMRTreePnl |
[frames] | no frames]

# Class cScrolledEMRTreePnl

source code

                                         wx.ScrolledWindow --+
                                                             |
    wxGladeWidgets.wxgScrolledEMRTreePnl.wxgScrolledEMRTreePnl --+
                                                                 |
                                                                cScrolledEMRTreePnl

A scrollable panel holding an EMR tree.

Lacks a widget to display details for selected items. The tree data will be refetched - if necessary - whenever repopulate_ui() is called, e.g., when the patient is changed.

Instance Methods
__init__(self, *args, **kwds) | source code

Method Details

### __init__(self, *args, **kwds) (Constructor) | source code
Overrides: wxGladeWidgets.wxgScrolledEMRTreePnl.wxgScrolledEMRTreePnl.__init__